VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form TCPClient 
   Caption         =   "TCPClient"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin MSWinsockLib.Winsock UDPSocket 
      Left            =   1440
      Top             =   2160
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.CommandButton DefaultTCPServerBasePortCmd 
      Caption         =   "Default"
      Height          =   255
      Left            =   3600
      TabIndex        =   4
      ToolTipText     =   "click to set default TCP Server base port"
      Top             =   960
      Width           =   855
   End
   Begin VB.TextBox TCPServerPort 
      Height          =   285
      Left            =   1680
      TabIndex        =   3
      ToolTipText     =   "TCP Server address"
      Top             =   960
      Width           =   1575
   End
   Begin VB.TextBox TCPServerAddress 
      Height          =   285
      Left            =   1680
      TabIndex        =   0
      ToolTipText     =   "TCP Server address"
      Top             =   360
      Width           =   1575
   End
   Begin MSWinsockLib.Winsock TCPSocket 
      Index           =   1
      Left            =   2640
      Top             =   2160
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin MSWinsockLib.Winsock TCPSocket 
      Index           =   2
      Left            =   3240
      Top             =   2160
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.Label Label2 
      Caption         =   "Server Base Port"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   960
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Server Address"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   360
      Width           =   1215
   End
End
Attribute VB_Name = "TCPClient"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit



Private Sub DefaultTCPServerBasePortCmd_Click()
    TCPClient.TCPServerPort.Text = DefaultTCPBasePort
End Sub

Private Sub Form_Load()
    Common.RestoreWindowPosition TCPClient
    
    TCPClient.UDPSocket.Protocol = sckUDPProtocol
    
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    
    If UnloadMode = vbFormControlMenu Then
        Cancel = 1 'don't unload
        TCPClient.Hide
        Common.SaveWindowPosition TCPClient
        DoEvents
    End If
    Exit Sub
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Common.SaveWindowPosition TCPClient
End Sub

Private Sub TCPServerAddress_Change()

    SaveSetting App.ProductName, TCPServerSection, TCPServerAddressKey, TCPClient.TCPServerAddress.Text
    
End Sub

Private Sub TCPServerPort_Change()
    Dim thePort As Long
    
    thePort = -1
    On Error Resume Next
    thePort = CLng(TCPClient.TCPServerPort.Text)
    On Error GoTo 0
    
    If thePort > -1 Then
        SaveSetting App.ProductName, TCPServerSection, TCPServerBasePortKey, TCPClient.TCPServerPort.Text
        TCPClientModule.SetBasePort thePort
    End If
    
End Sub

Private Sub TCPSocket_SendComplete(Index As Integer)

    TCPClientModule.SendComplete Index
    
End Sub

Private Sub TCPSocket_DataArrival(Index As Integer, ByVal bytesTotal As Long)
    
    TCPClientModule.DataArrival Index, bytesTotal
    
    Exit Sub
    
End Sub

Private Sub TCPSocket_Error(Index As Integer, ByVal Number As Integer, Description As String, ByVal Scode As Long, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, CancelDisplay As Boolean)
    
    TCPClientModule.SocketError Index, Number, Description

End Sub


Private Sub UDPSocket_DataArrival(ByVal bytesTotal As Long)
    TCPClientModule.UDPDataArrival bytesTotal
End Sub

Private Sub UDPSocket_Error(ByVal Number As Integer, Description As String, ByVal Scode As Long, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, CancelDisplay As Boolean)
    TCPClientModule.UDPSocketError Number, Description
End Sub
